
package com.google.api.ads.adwords.jaxws.v201209.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Adgroup level bids used in conversion optimizer bidding strategy.
 *             <span class="constraint AdxEnabled">This is disabled for AdX.</span>
 *           
 * 
 * <p>Java class for ConversionOptimizerAdGroupBids complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ConversionOptimizerAdGroupBids">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201209}AdGroupBids">
 *       &lt;sequence>
 *         &lt;element name="targetCpa" type="{https://adwords.google.com/api/adwords/cm/v201209}Bid" minOccurs="0"/>
 *         &lt;element name="conversionOptimizerBidType" type="{https://adwords.google.com/api/adwords/cm/v201209}ConversionOptimizerBidType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConversionOptimizerAdGroupBids", propOrder = {
    "targetCpa",
    "conversionOptimizerBidType"
})
public class ConversionOptimizerAdGroupBids
    extends AdGroupBids
{

    protected Bid targetCpa;
    protected ConversionOptimizerBidType conversionOptimizerBidType;

    /**
     * Gets the value of the targetCpa property.
     * 
     * @return
     *     possible object is
     *     {@link Bid }
     *     
     */
    public Bid getTargetCpa() {
        return targetCpa;
    }

    /**
     * Sets the value of the targetCpa property.
     * 
     * @param value
     *     allowed object is
     *     {@link Bid }
     *     
     */
    public void setTargetCpa(Bid value) {
        this.targetCpa = value;
    }

    /**
     * Gets the value of the conversionOptimizerBidType property.
     * 
     * @return
     *     possible object is
     *     {@link ConversionOptimizerBidType }
     *     
     */
    public ConversionOptimizerBidType getConversionOptimizerBidType() {
        return conversionOptimizerBidType;
    }

    /**
     * Sets the value of the conversionOptimizerBidType property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConversionOptimizerBidType }
     *     
     */
    public void setConversionOptimizerBidType(ConversionOptimizerBidType value) {
        this.conversionOptimizerBidType = value;
    }

}
