
package com.google.api.ads.adwords.jaxws.v201209.cm;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.google.api.ads.adwords.jaxws.v201209.cm package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.google.api.ads.adwords.jaxws.v201209.cm
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link SoapResponseHeader }
     * 
     */
    public SoapResponseHeader createSoapResponseHeader() {
        return new SoapResponseHeader();
    }

    /**
     * Create an instance of {@link SoapHeader }
     * 
     */
    public SoapHeader createSoapHeader() {
        return new SoapHeader();
    }

    /**
     * Create an instance of {@link ApiException }
     * 
     */
    public ApiException createApiException() {
        return new ApiException();
    }

    /**
     * Create an instance of {@link OperatorError }
     * 
     */
    public OperatorError createOperatorError() {
        return new OperatorError();
    }

    /**
     * Create an instance of {@link InternalApiError }
     * 
     */
    public InternalApiError createInternalApiError() {
        return new InternalApiError();
    }

    /**
     * Create an instance of {@link CollectionSizeError }
     * 
     */
    public CollectionSizeError createCollectionSizeError() {
        return new CollectionSizeError();
    }

    /**
     * Create an instance of {@link QuotaCheckError }
     * 
     */
    public QuotaCheckError createQuotaCheckError() {
        return new QuotaCheckError();
    }

    /**
     * Create an instance of {@link StringLengthError }
     * 
     */
    public StringLengthError createStringLengthError() {
        return new StringLengthError();
    }

    /**
     * Create an instance of {@link ReadOnlyError }
     * 
     */
    public ReadOnlyError createReadOnlyError() {
        return new ReadOnlyError();
    }

    /**
     * Create an instance of {@link RateExceededError }
     * 
     */
    public RateExceededError createRateExceededError() {
        return new RateExceededError();
    }

    /**
     * Create an instance of {@link Paging }
     * 
     */
    public Paging createPaging() {
        return new Paging();
    }

    /**
     * Create an instance of {@link NullError }
     * 
     */
    public NullError createNullError() {
        return new NullError();
    }

    /**
     * Create an instance of {@link DoubleValue }
     * 
     */
    public DoubleValue createDoubleValue() {
        return new DoubleValue();
    }

    /**
     * Create an instance of {@link NotEmptyError }
     * 
     */
    public NotEmptyError createNotEmptyError() {
        return new NotEmptyError();
    }

    /**
     * Create an instance of {@link RequiredError }
     * 
     */
    public RequiredError createRequiredError() {
        return new RequiredError();
    }

    /**
     * Create an instance of {@link AuthenticationError }
     * 
     */
    public AuthenticationError createAuthenticationError() {
        return new AuthenticationError();
    }

    /**
     * Create an instance of {@link ApplicationException }
     * 
     */
    public ApplicationException createApplicationException() {
        return new ApplicationException();
    }

    /**
     * Create an instance of {@link DateError }
     * 
     */
    public DateError createDateError() {
        return new DateError();
    }

    /**
     * Create an instance of {@link DateRange }
     * 
     */
    public DateRange createDateRange() {
        return new DateRange();
    }

    /**
     * Create an instance of {@link RangeError }
     * 
     */
    public RangeError createRangeError() {
        return new RangeError();
    }

    /**
     * Create an instance of {@link Money }
     * 
     */
    public Money createMoney() {
        return new Money();
    }

    /**
     * Create an instance of {@link AuthorizationError }
     * 
     */
    public AuthorizationError createAuthorizationError() {
        return new AuthorizationError();
    }

    /**
     * Create an instance of {@link DistinctError }
     * 
     */
    public DistinctError createDistinctError() {
        return new DistinctError();
    }

    /**
     * Create an instance of {@link RegionCodeError }
     * 
     */
    public RegionCodeError createRegionCodeError() {
        return new RegionCodeError();
    }

    /**
     * Create an instance of {@link LongValue }
     * 
     */
    public LongValue createLongValue() {
        return new LongValue();
    }

}
